
SHELL=/bin/sh

all:	libs

libs:
	cd kernel; make
	cd gfx; make
	cd callbacks; make
	cd SMS; make
	cd windows; make
	cd navigation; make
	cd objects; make
	cd extras; make
	${LD} -o libmaverik${OPT_EXT}.so `find . -name "*.o" -print | grep -v IrisGL | grep -v None | grep -v "/extras/"` ${TIFFLIBS} ${DLLIBS} ${OPENGLLIBS} -lm
	mv libmaverik${OPT_EXT}.so ../lib


clean:
	cd kernel; make clean
	cd gfx; make clean	
	cd callbacks; make clean
	cd SMS; make clean
	cd windows; make clean
	cd navigation; make clean
	cd objects; make clean
	cd extras; make clean
